---
title: Update indicator feed metadata
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Intel](https://developers.cloudflare.com/api/typescript/resources/intel)

[Indicator Feeds](https://developers.cloudflare.com/api/typescript/resources/intel/subresources/indicator_feeds)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update indicator feed metadata

client.intel.indicatorFeeds.update(numberfeedID, IndicatorFeedUpdateParams {account\_id, description, is\_attributable, 3 more } params, RequestOptionsoptions?): [IndicatorFeedUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/intel#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)>) {id, created\_on, description, 5 more }

PUT/accounts/{account\_id}/intel/indicator-feeds/{feed\_id}

Revises details for a specific custom threat indicator feed.

##### Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**`X-Auth-Email: user@example.com`

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**`X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194`

##### ParametersExpand Collapse

feedID: number

Indicator feed ID

[Link to this property](<#(resource)%20intel.indicator_feeds%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20feed_id%20%3E%20(schema)>)

<details>

<summary>

params: IndicatorFeedUpdateParams {account\_id, description, is\_attributable, 3 more }

</summary>

account\_id: string

Path param: Identifier

maxLength32

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

description?: string

Body param: The new description of the feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20description">Link to this property</a>

is\_attributable?: boolean

Body param: The new is\_attributable value of the feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20is_attributable">Link to this property</a>

is\_downloadable?: boolean

Body param: The new is\_downloadable value of the feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20is_downloadable">Link to this property</a>

is\_public?: boolean

Body param: The new is\_public value of the feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20is_public">Link to this property</a>

name?: string

Body param: The new name of the feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.indicator_feeds%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

IndicatorFeedUpdateResponse {id, created\_on, description, 5 more }

</summary>

id?: number

The unique identifier for the indicator feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_on?: string

The date and time when the data entry was created

formatdate-time

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

description?: string

The description of the example test

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

is\_attributable?: boolean

Whether the indicator feed can be attributed to a provider

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)%20%3E%20(property)%20is_attributable">Link to this property</a>

is\_downloadable?: boolean

Whether the indicator feed can be downloaded

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)%20%3E%20(property)%20is_downloadable">Link to this property</a>

is\_public?: boolean

Whether the indicator feed is exposed to customers

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)%20%3E%20(property)%20is_public">Link to this property</a>

modified\_on?: string

The date and time when the data entry was last modified

formatdate-time

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

name?: string

The name of the indicator feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.indicator_feeds%20%3E%20(model)%20indicator_feed_update_response%20%3E%20(schema)>)

### Update indicator feed metadata

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const indicatorFeed = await client.intel.indicatorFeeds.update(12, {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(indicatorFeed.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 1,
    "created_on": "2023-05-12T12:21:56.777653Z",
    "description": "example feed description",
    "is_attributable": false,
    "is_downloadable": false,
    "is_public": false,
    "modified_on": "2023-06-18T03:13:34.123321Z",
    "name": "example_feed_1"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 1,
    "created_on": "2023-05-12T12:21:56.777653Z",
    "description": "example feed description",
    "is_attributable": false,
    "is_downloadable": false,
    "is_public": false,
    "modified_on": "2023-06-18T03:13:34.123321Z",
    "name": "example_feed_1"
  }
}
```